GET Selection/{id}/CriteriaGroups
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
GET /api/v1/Selection/{selectionId}/CriteriaGroups
Get the criteria for this dynamic selection.
This call supports multiple criteria groups.
| Path Part | Type | Description |
|---|---|---|
| selectionId | int32 | The id of the selection to add members Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | Name of the group |
| Description | string | Description of the group |
| Rank | int32 | Rank of group among groups |
| Restrictions | array |
Sample request
GET /api/v1/Selection/{selectionId}/CriteriaGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "Feil Inc and Sons",
"Description": "Re-engineered client-driven infrastructure",
"Rank": 806,
"Restrictions": [
{
"Name": "VIP Customers",
"Operator": "ut",
"Values": [
"dolores",
"dignissimos"
],
"DisplayValues": [
"maiores",
"labore"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 260,
"InterOperator": "And",
"UniqueHash": 457
}
]
},
{
"Name": "Feil Inc and Sons",
"Description": "Re-engineered client-driven infrastructure",
"Rank": 806,
"Restrictions": [
{
"Name": "VIP Customers",
"Operator": "ut",
"Values": [
"dolores",
"dignissimos"
],
"DisplayValues": [
"maiores",
"labore"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 260,
"InterOperator": "And",
"UniqueHash": 457
}
]
}
]